package com.zsc.edu.gateway.modules.message.entity;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.zsc.edu.gateway.common.enums.IState;

/**
 * 消息类型
 *
 * @author zhuang
 */
public enum NoticeType implements IEnum<Integer>, IState<NoticeType> {
    MESSAGE(1, "消息"),
    NOTICE(2, "通知");

    private final Integer value;
    private final String name;

    NoticeType(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String toString() {
        return name;
    }
}
